"""
Module contains license enums
"""

from enum import IntEnum


class LicenseStatus(IntEnum):
    """
    Enum for license status.
    """

    ok = 0  #: ok
    warning = 1  #: license limit or period almost exceeded
    error = 2  # license limit or period exceeded
    exception = 3  # failed to get license data
